%global momorel 11
%global emacsver 23.0.95
%global xemacsver 21.5.29
#%%global xemacssumover 2009.02.17
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: clmemo.el provides some commands and minor modes for ChangeLog MEMO
Name: elisp-clmemo
Version: 1.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Editors
URL: http://pop-club.hp.infoseek.co.jp/emacs/changelog.html
# see also <http://at-aka.blogspot.com/2005/05/clmemo-100-emacschangelog.html>
Source0: http://pop-club.hp.infoseek.co.jp/emacs/clmemo-%{version}.tar.gz
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildRequires: texinfo, tetex-latex, tetex-dvipsk, dvipdfmx
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
clmemo.el provides some commands and minor modes for ChangeLog MEMO.

`ChangeLog MEMO' is a kind of concept that writing memo into _ONE_
file in ChangeLog format.  You can take a memo about address book,
bookmark, diary, idea, memo, news, schedule, time table, todo list,
citation from book, one-liner that you wrote but will forget, etc....

(1) Why one file?

* Easy for you to copy and move file, to edit memo, and to find out
  something important.

* Obvious that text which you want is in this file.  In other words,
  if the text you need is not in this file, you don't have a memo
  about it.  You will be free from searching all over the files for
  what you have taken or might have not.

(2) Why ChangeLog format?

* One of well known format.

* A plain text file.  Binary is usually difficult to edit and search.
  File size gets bigger.  And most of binary file needs special soft.
  You should check that your soft is distributed permanently.

* Easier to read than HTML, XML, and TeX.

* Entries are automatically sorted by chronological order.

%package -n clmemo-emacs
Summary: clmemo.el provides some commands and minor modes for ChangeLog MEMO
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n clmemo-emacs
clmemo.el provides some commands and minor modes for ChangeLog MEMO.

`ChangeLog MEMO' is a kind of concept that writing memo into _ONE_
file in ChangeLog format.  You can take a memo about address book,
bookmark, diary, idea, memo, news, schedule, time table, todo list,
citation from book, one-liner that you wrote but will forget, etc....

%package -n clmemo-xemacs
Summary: clmemo.el provides some commands and minor modes for ChangeLog MEMO
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n clmemo-xemacs
clmemo.el provides some commands and minor modes for ChangeLog MEMO.

`ChangeLog MEMO' is a kind of concept that writing memo into _ONE_
file in ChangeLog format.  You can take a memo about address book,
bookmark, diary, idea, memo, news, schedule, time table, todo list,
citation from book, one-liner that you wrote but will forget, etc....

%prep
%setup -q -n clmemo-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# emacs
%__make EMACS=emacs prefix=%{_prefix} datadir=%{_datadir} lispdir=%{e_sitedir}
%__mkdir_p %{buildroot}%{e_sitedir}
%__install -m 644 clmemo.el %{buildroot}%{e_sitedir}
%__install -m 644 clmemo.elc %{buildroot}%{e_sitedir}

make distclean

# xemacs
%__make EMACS=xemacs prefix=%{_prefix} datadir=%{_datadir} lispdir=%{xe_sitedir}
%__mkdir_p %{buildroot}%{sitepdir}/lisp
%__install -m 644 clmemo.el %{buildroot}%{sitepdir}/lisp
%__install -m 644 clmemo.elc %{buildroot}%{sitepdir}/lisp

# doc
%__make info html pdf
%__mkdir_p %{buildroot}%{_infodir}
%__install -m 644 doc/changelog.info %{buildroot}%{_infodir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -n clmemo-emacs
/sbin/install-info %{_infodir}/changelog.info* %{_infodir}/dir

%preun -n clmemo-emacs
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/changelog.info* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL.ja INSTALL README
%doc doc/changelog.html doc/clmemo.pdf

%files -n clmemo-emacs
%defattr(-,root,root)
%{_infodir}/changelog.info*
%{e_sitedir}/clmemo.el
%{e_sitedir}/clmemo.elc

%files -n clmemo-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/clmemo.el
%{sitepdir}/lisp/clmemo.elc

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-11m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-10m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-9m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-8m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-7m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-6m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Wed Aug 15 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-1m)
- initial packaging
